#include <cstdio>
#include <cmath>
using namespace std;
int main()
{
    double n;
    int m;
    while(~scanf("%lf%d",&n,&m))
    {
        double ans=0;
        for(int i=0;i<m;i++)
            ans+=n,n=sqrt(n);
        printf("%.2lf\n",ans);
    }
    return 0;
}
